import { CdkConnectedOverlay, ConnectedOverlayPositionChange, ConnectionPositionPair } from '@angular/cdk/overlay';
import { ChangeDetectorRef, EventEmitter, OnInit, Renderer2 } from '@angular/core';
import { Observable, Subject, Subscription } from 'rxjs';
export declare class PopoverComponent implements OnInit {
    _renderer: Renderer2;
    private cdr;
    protected _changeDetector: ChangeDetectorRef;
    private _clickHide;
    _visible: boolean;
    hasFilterButton: boolean;
    _triggerWidth: number;
    _placement: any;
    _dropDownPosition: 'top' | 'center' | 'bottom';
    _positions: ConnectionPositionPair[];
    _subscription: Subscription;
    _prefix: string;
    _atMenu: any;
    _atOrigin: any;
    trigger: 'click' | 'hover';
    _visibleChange: Subject<boolean>;
    $visible: Observable<boolean>;
    atVisibleChange: EventEmitter<boolean>;
    _cdkOverlay: CdkConnectedOverlay;
    toBoolean(value: boolean | string): boolean;
    atClickHide: boolean;
    atVisible: boolean;
    readonly placeClass: {};
    placement: any;
    readonly atPlacement: any;
    _onClickEvent(): void;
    _onMouseEnterEvent(e: MouseEvent): void;
    _onMouseLeaveEvent(e: MouseEvent): void;
    _hide(): void;
    _show(): void;
    _onPositionChange(position: ConnectedOverlayPositionChange): void;
    _clickDropDown($event: MouseEvent): void;
    _setTriggerWidth(): void;
    _onVisibleChange: (visible: boolean) => void;
    _startSubscribe(observable$: Observable<boolean>): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    readonly _hasBackdrop: boolean;
    constructor(_renderer: Renderer2, cdr: ChangeDetectorRef, _changeDetector: ChangeDetectorRef);
}
